## basemap 1.2.1+dfsg

=== requirements.txt ===
matplotlib>=1.0.0,!=3.0.1
numpy>=1.2.1
pyproj>=1.9.3
pyshp>=1.2.0
six

=== debian/changelog ===
basemap (1.2.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:42:52 +0100

basemap (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #939128
  * debian/control
    - add deprecation warning in favor of cartopy
  * debian/copyright
    - udpate for new upstream release
  * debian/patches/use_share_datafiles
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Sep 2019 22:20:20 -0400

basemap (1.2.0+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop support for python 2; Closes: #932614, #932655, #932657
  * debian/{control, compat}
    - bump compat to 9
  * debian/control
    - drop python 2 packages
    - wrap-and-sort
    - add pil to b-d, needed by doc
  * debian/rules
    - use pybuild
    - use dh sequence for build target
    - build doc with py3k
  * debian/patches/doc_make.py_py3k.patch
    - port doc/make.py to py3k

 -- Sandro Tosi <morph@debian.org>  Tue, 20 Aug 2019 13:12:12 -0400

=== debian/control ===
Source: basemap
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cython3,
               debhelper (>= 9.0.0),
               dh-python,
               libgeos-dev,
               python3-all,
               python3-all-dbg,
               python3-all-dev,
               python3-matplotlib,
               python3-netcdf4,
               python3-numpy,
               python3-numpy-dbg,
               python3-pil,
               python3-pyproj,
               python3-pyshp,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-tk,
Standards-Version: 4.4.0
Homepage: http://matplotlib.org/basemap/
Vcs-Git: https://salsa.debian.org/python-team/modules/basemap.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/basemap

Package: python-mpltoolkits.basemap-data
Architecture: all
Depends: ${misc:Depends}
Description: matplotlib toolkit to plot on map projections (data package)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains data files for python-mpltoolkits.basemap

Package: python-mpltoolkits.basemap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: matplotlib toolkit to plot on map projections (documentation)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains documentation and examples for python-mpltoolkits.basemap

Package: python3-mpltoolkits.basemap
Architecture: any
Depends: python-mpltoolkits.basemap-data (>= ${source:Version}),
         python3-matplotlib,
         python3-pyproj,
         python3-pyshp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil
Suggests: python3-owslib, python3-scipy
Description: matplotlib toolkit to plot on map projections (Python 3)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains the Python 3 version of python-mpltoolkits.basemap.
 .
 WARNING: this package is deprecated in favour of cartopy.

Package: python3-mpltoolkits.basemap-dbg
Section: debug
Architecture: any
Depends: python-mpltoolkits.basemap-data (>= ${source:Version}),
         python3-dbg,
         python3-mpltoolkits.basemap (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: matplotlib toolkit to plot on map projections (Python 3 debug)
 The matplotlib basemap toolkit is a library for plotting 2D data on maps in
 Python. It is similar in functionality to the matlab mapping toolbox, the IDL
 mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
 other libraries that provide similar capabilities in Python.
 .
 Basemap does not do any plotting on its own, but provides the facilities to
 transform coordinates to one of 23 different map projections (using the PROJ.4
 C library). Matplotlib is then used to plot contours, images, vectors, lines or
 points in the transformed coordinates. Shoreline, river and political boundary
 datasets (from Generic Mapping Tools) are provided, along with methods for
 plotting them. The GEOS library is used internally to clip the coastline and
 political boundary features to the desired map projection region.
 .
 Basemap provides facilities for reading data in netCDF and Shapefile formats,
 as well as directly over http using OPeNDAP. This functionality is provided
 through the PyDAP client, and a Python interface to the Shapefile C library.
 .
 Basemap is geared toward the needs of earth scientists, particular
 oceanographers and meteorologists. The author originally wrote Basemap to help
 in his research (climate and weather forecasting), since at the time CDAT was
 the only other tool in Python for plotting data on map projections. Over the
 years, the capabilities of Basemap have evolved as scientists in other
 disciplines (such as biology, geology and geophysics) requested and contributed
 new features.
 .
 This package contains the debug extension for python3-mpltoolkits.basemap.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -s)
LIB := $$(python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_install:
	set -e ; \
	cython3 -3 src/*pyx; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap/ --install-layout=deb; \
		$$python-dbg setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap-dbg/ --install-layout=deb; \
	done
	dh_numpy3

override_dh_auto_build:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done

	# HACK: we need to import axes_grid1 but we need to import it from the "local"
	# mpl_toolkits namespace
	ln -s $$(dirname $$(python3 -c "import mpl_toolkits.axes_grid1 as p; print(p.__file__)")) $(CURDIR)/$(LIB)/mpl_toolkits/
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$(CURDIR)/$(LIB) BASEMAPDATA=$(CURDIR)/lib/mpl_toolkits/basemap/data/ python3 make.py html)
	# remove hack
	rm $(CURDIR)/$(LIB)/mpl_toolkits/axes_grid1

override_dh_sphinxdoc:
	dh_sphinxdoc -i

override_dh_clean:
	dh_clean
	rm -rf doc/build
	rm -f nad2bin.o nad2bin

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-mpltoolkits.basemap --dbg-package=python3-mpltoolkits.basemap-dbg
endif

## basemap 1.2.2+dfsg

=== debian/changelog ===
basemap (1.2.2+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * debian/copyright: Replace commas with whitespace to separate items in Files
    paragraph.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Stefano Rivera ]
  * Cython before building, not after building before installing.
    (Closes: #971916)
  * d/control: Update Uploader field with new Debian Python Team
    contact address.

  [ Sandro Tosi ]
  * New upstream release; Closes: #966969
  * debian/patches
    - remove patches merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 19:15:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: cython3,
-               debhelper (>= 9.0.0),
+               debhelper-compat (= 12),
                dh-python,
                libgeos-dev,
                python3-all,
@@ -21,10 +21,10 @@
                python3-six,
                python3-sphinx,
                python3-tk,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://matplotlib.org/basemap/
-Vcs-Git: https://salsa.debian.org/python-team/modules/basemap.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/basemap
+Vcs-Git: https://salsa.debian.org/python-team/packages/basemap.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/basemap
 
 Package: python-mpltoolkits.basemap-data
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 override_dh_auto_install:
 	set -e ; \
-	cython3 -3 src/*pyx; \
 	for python in $(PY3VERS); do \
 		$$python setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap/ --install-layout=deb; \
 		$$python-dbg setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap-dbg/ --install-layout=deb; \
@@ -17,6 +16,7 @@
 
 override_dh_auto_build:
 	set -e ; \
+	cython3 -3 src/*pyx; \
 	for python in $(PY3VERS); do \
 		$$python setup.py build; \
 		$$python-dbg setup.py build; \

=== debian/watch ===
version=4
 opts="dversionmangle=s/\+dfsg//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)(?:rel)?\.tar\.gz%basemap-$1.tar.gz%,repacksuffix=+dfsg" \
 https://github.com/matplotlib/basemap/tags (?:.*?/)?v?(\d[\d.]*)(?:rel)?\.tar\.gz

## basemap 1.4.1

=== packages/basemap/requirements.txt ===
basemap_data >= 1.3.2, < 1.4

numpy >= 1.11, < 1.12; python_version == "2.6"
numpy >= 1.16, < 1.17; python_version == "2.7"
numpy >= 1.11, < 1.12; python_version == "3.2"
numpy >= 1.11, < 1.12; python_version == "3.3"
numpy >= 1.15, < 1.17; python_version == "3.4"
numpy >= 1.16, < 1.19; python_version == "3.5"
numpy >= 1.19, < 1.20; python_version == "3.6"
numpy >= 1.21, < 1.22; python_version == "3.7"
numpy >= 1.21, < 1.27; python_version >= "3.8"

cycler < 0.11; python_version == "3.2"
pyparsing >= 1.5, < 2.4.1; python_version == "2.6"
pyparsing >= 1.5, < 2.3.1; python_version == "3.2"
matplotlib >= 1.5, < 2.0; python_version == "2.6"
matplotlib >= 1.5, < 3.0; python_version == "2.7"
matplotlib >= 1.5, < 2.0; python_version == "3.2"
matplotlib >= 1.5, < 2.0; python_version == "3.3"
matplotlib >= 1.5, < 3.0; python_version == "3.4"
matplotlib >= 1.5, < 3.9; python_version >= "3.5"

pyproj >= 1.9.3, < 2.1.0; python_version == "2.6"
pyproj >= 1.9.3, < 2.2.0; python_version == "2.7"
pyproj >= 1.9.3, < 1.9.6; python_version == "3.2"
pyproj >= 1.9.3, < 2.1.0; python_version == "3.3"
pyproj >= 1.9.3, < 2.1.0; python_version == "3.4"
pyproj >= 1.9.3, < 3.7.0; python_version >= "3.5"

pyshp >= 1.2, < 2.0; python_version == "2.6"
pyshp >= 1.2, < 2.4; python_version >= "2.7"

packaging >= 16.0, < 17.0; python_version == "2.6"
packaging >= 16.0, < 21.0; python_version == "2.7"
packaging >= 16.0, < 17.0; python_version == "3.2"
packaging >= 16.0, < 17.0; python_version == "3.3"
packaging >= 16.0, < 21.0; python_version == "3.4"
packaging >= 16.0, < 24.0; python_version >= "3.5"

=== debian/changelog ===
basemap (1.4.1-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:41:09 +0000

basemap (1.4.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:01:42 +0000

basemap (1.4.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * use new dh-sequence-python3
  * apply the Multi-Arch hint

  [ Emmanuel Arias ]
  * d/copyright: Remove Files-Excluded they are not present in upstream tarball.
  * d/watch: Remove repacksuffix, it's not necessary for now.
  * New upstream version (Closes: #1076957, #1074839).
  * d/patches: Update patches according to new upstream release.
    - d/patches/dont_install_data_files: Remove patch is not longer needed.
    - d/patches/use_share_datafiles: Update patch according to new upstream
      release.
  * d/patches/reproducible_documentation.patch: Update patche to get
    correctly the conf.py file.
    - Update according to new upstream release.
  * d/control: Add furo as Build-Depends.
  * d/patches/fix-docs-links.patch: Fix links in documentation. Remove plots
    that use internet.
  * d/control: Replace cython3-legacy by cython3 in Build Dependencies (Closes:
    #1092778).
  * d/rules: Update folder where setup.py is located.
  * d/rules: Add hack to move index.rst from doc/source/ to doc/ folder.
  * Update source path in d/python-mpltoolkits.basemap-data.install and
    d/python-mpltoolkits.basemap-doc.install files.
    - Include basemap_data_hires package in python-mpltoolkits.basemap-data.
  * d/tests/run-unit-tests: Ignore test.py streamplot_demo.py warpimage.py
    geos_demo_3.py tests, they are failling and need more investigation.
  * d/rules: remove .debhelper folder during dh_auto_clean.
  * d/control: Add python3-numpy2-abi0 as B-Depends.
  * d/control: Update my contact information.
  * d/copyright: Update path to files. Remove reference to src/c_numpy.pxd, it
    not longer in the source.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 30 Aug 2024 13:21:19 -0300

basemap (1.2.2+dfsg-5) unstable; urgency=medium

  * Do not fail in separate arch-all builds. Closes: #1068145.
  * Apply patch for d/rules from bug #790235

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2024 07:03:11 +0100

basemap (1.2.2+dfsg-4) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Add me and Emmanuel Arias to Uploaders
    Closes: #1065235
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove field Testsuite on binary package python-mpltoolkits.basemap-doc
    that duplicates source.
  * Add lintian-overrides for custom-library-search-path
  * Drop unneeded custom compression dh_builddeb -- -Zxz
  * Clarify copyright statements
  * Add autopkgtest
    Closes: #1035126, #1036514
  * Apply patch to make documentation reproducible (hopefully)
    Affects bug #790235 but probably does not close it
  * Adapt filter name to a value available in PIL10
  * Use np.percentile instead of removed plt.prctile_rank
  * Hardening
  * Fix permissions of data
  * Use float instead of deprecated np.float
  * Replace deprecated clock() by perf_counter() to measure time needed
  * Use python3-packaging instead of distutils
  * Fix clean target
  * Lintian-overrides for source-ships-excluded-file

  [ Bas Couwenberg ]
  * Switch to cython3-legacy
    Closes: #1056789

  [ Emmanuel Arias ]
  * d/patches/0004-Move-the-imports-in-all-.py-files.patch: Add patch to
    replace all that move the imports to avoid make a reference to
    mpl_toolkits that is already installed by matplotlib.
    - d/rules: Update PYTHONPATH tu set it on the build/*/mpl_toolkits
      folder.
    Closes: #1009424

 -- Andreas Tille <tille@debian.org>  Tue, 26 Mar 2024 22:14:00 +0100

basemap (1.2.2+dfsg-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:31:09 -0500

basemap (1.2.2+dfsg-2) unstable; urgency=medium

  * remove -dbg package; Closes: #994296

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 20:00:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: basemap
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Emmanuel Arias <eamanu@debian.org>
 Build-Depends: cython3,
-               debhelper-compat (= 12),
-               dh-python,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               furo,
                libgeos-dev,
                python3-all,
-               python3-all-dbg,
                python3-all-dev,
                python3-matplotlib,
                python3-netcdf4,
                python3-numpy,
-               python3-numpy-dbg,
+               python3-numpy2-abi0,
                python3-pil,
                python3-pyproj,
                python3-pyshp,
@@ -21,13 +23,15 @@
                python3-six,
                python3-sphinx,
                python3-tk,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: http://matplotlib.org/basemap/
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/basemap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/basemap
 
 Package: python-mpltoolkits.basemap-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: matplotlib toolkit to plot on map projections (data package)
  The matplotlib basemap toolkit is a library for plotting 2D data on maps in
@@ -60,6 +64,7 @@
 Package: python-mpltoolkits.basemap-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: matplotlib toolkit to plot on map projections (documentation)
  The matplotlib basemap toolkit is a library for plotting 2D data on maps in
@@ -93,6 +98,7 @@
 Architecture: any
 Depends: python-mpltoolkits.basemap-data (>= ${source:Version}),
          python3-matplotlib,
+         python3-packaging,
          python3-pyproj,
          python3-pyshp,
          ${misc:Depends},
@@ -129,39 +135,3 @@
  This package contains the Python 3 version of python-mpltoolkits.basemap.
  .
  WARNING: this package is deprecated in favour of cartopy.
-
-Package: python3-mpltoolkits.basemap-dbg
-Section: debug
-Architecture: any
-Depends: python-mpltoolkits.basemap-data (>= ${source:Version}),
-         python3-dbg,
-         python3-mpltoolkits.basemap (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: matplotlib toolkit to plot on map projections (Python 3 debug)
- The matplotlib basemap toolkit is a library for plotting 2D data on maps in
- Python. It is similar in functionality to the matlab mapping toolbox, the IDL
- mapping facilities, GrADS, or the Generic Mapping Tools. PyNGL and CDAT are
- other libraries that provide similar capabilities in Python.
- .
- Basemap does not do any plotting on its own, but provides the facilities to
- transform coordinates to one of 23 different map projections (using the PROJ.4
- C library). Matplotlib is then used to plot contours, images, vectors, lines or
- points in the transformed coordinates. Shoreline, river and political boundary
- datasets (from Generic Mapping Tools) are provided, along with methods for
- plotting them. The GEOS library is used internally to clip the coastline and
- political boundary features to the desired map projection region.
- .
- Basemap provides facilities for reading data in netCDF and Shapefile formats,
- as well as directly over http using OPeNDAP. This functionality is provided
- through the PyDAP client, and a Python interface to the Shapefile C library.
- .
- Basemap is geared toward the needs of earth scientists, particular
- oceanographers and meteorologists. The author originally wrote Basemap to help
- in his research (climate and weather forecasting), since at the time CDAT was
- the only other tool in Python for plotting data on map projections. Over the
- years, the capabilities of Basemap have evolved as scientists in other
- disciplines (such as biology, geology and geophysics) requested and contributed
- new features.
- .
- This package contains the debug extension for python3-mpltoolkits.basemap.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_SYSTEM=custom

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PY3VERS := $(shell py3versions -s)
LIB := $$(python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")
# This should have the same result without using distutils and thus beeing save with Python3.12 - but it fails creating the docs
# LIB := $$(find build -type d -name mpl_toolkits | grep `py3versions -d -v | sed 's/\.//'` | sed 's?/mpl_toolkits??')

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	set -e ;
	cd $(CURDIR)/packages/basemap/ ;\
	for python in $(PY3VERS); do \
		$$python setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap/ --install-layout=deb; \
	done

override_dh_auto_build:
	set -e ; \
	cd packages/basemap/ \
	cython3 -3 src/*pyx; \
	for python in $(PY3VERS); do \
		$$python setup.py build; \
	done

	# HACK: we need to import axes_grid1 but we need to import it from the "local"
	# mpl_toolkits namespace
	ln -s $$(dirname $$(python3 -c "import mpl_toolkits.axes_grid1 as p; print(p.__file__)")) $(CURDIR)/packages/basemap/$(LIB)/mpl_toolkits/
	# build doc only for default python version
	#mv $(CURDIR)/packages/basemap/$(LIB)/*.so $(CURDIR)/packages/basemap/$(LIB)/mpl_toolkits/
	mv $(CURDIR)/packages/basemap/doc/source/index.rst $(CURDIR)/packages/basemap/doc/index.rst
	(export MPLCONFIGDIR=. ; cd packages/basemap/doc ; PYTHONPATH=$(CURDIR)/packages/basemap/$(LIB) BASEMAPDATA=$(CURDIR)/packages/basemap_data/src/mpl_toolkits/basemap_data/ python3 make.py html)
	# remove hack
	rm $(CURDIR)/packages/basemap/$(LIB)/mpl_toolkits/axes_grid1
	mv $(CURDIR)/packages/basemap/doc/index.rst $(CURDIR)/packages/basemap/doc/source/

override_dh_python3:
	dh_python3
	-chmod -x debian/python-mpltoolkits.basemap-data/usr/share/basemap/data/*
	dh_numpy3

override_dh_sphinxdoc:
	dh_sphinxdoc -i

override_dh_clean:
	rm -rf debian/.debhelper/

	set -e; \
	cd packages/basemap/

	rm -rf doc/build
	rm -f nad2bin.o nad2bin

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-netcdf4,
         xvfb,
         xauth
Restrictions: needs-internet, allow-stderr

## basemap 2.0.0

=== dep/requirements.txt ===
basemap_data >= 2.0, < 3.0
packaging >= 20.5, < 26.0

numpy >= 2.0, < 2.4
matplotlib >= 3.4, < 3.11

pyproj >= 3.0, < 3.8
pyshp >= 2.0, < 2.4

=== debian/changelog ===
basemap (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Upgrade upper limit for `cython` to 3.2 (closes: #1119728).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Nov 2025 11:45:09 +0000

basemap (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from Sebastiaan Couwenberg to fix autopkgtest failure
    with pyshp 3.0.0. Closes: #1110711
  * d/control: add missing build-dep on python3-numpy-dev
  * Tidy up Lintian overrides
  * d/rules: tidy up overrides
  * Added patch and build-depends to link to related documentation.
  * d/patches: fix metadata & remove unused patches
  * d/upstream/metadata: add the Repository
  * Explicitly turn on Salsa CI.
  * Added patch to insert missing "#!" sequence that marks interpreted
    scripts.
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.
  * d/copyright: project has moved from SourceForge to GitHub
  * Adjust reproducible docs patch to set the locale. Closes: #790235

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Oct 2025 15:44:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_SYSTEM=custom

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PY3VERS := $(shell py3versions -s)
LIB := $$(python3 -c "from setuptools.command.build import build ; from setuptools import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")
# This should have the same result without using setuptools - but it fails creating the docs
# LIB := $$(find build -type d -name mpl_toolkits | grep `py3versions -d -v | sed 's/\.//'` | sed 's?/mpl_toolkits??')

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	set -e ;
	for python in $(PY3VERS); do \
		$$python setup.py install --root $(CURDIR)/debian/python3-mpltoolkits.basemap/ --install-layout=deb; \
	done

override_dh_auto_build:
	set -e ; \
	cython3 -3 src/*pyx; \
	for python in $(PY3VERS); do \
		$$python setup.py build; \
	done

	# HACK: we need to import axes_grid1 but we need to import it from the "local"
	# mpl_toolkits namespace
	ln -s $$(dirname $$(python3 -c "import mpl_toolkits.axes_grid1 as p; print(p.__file__)")) $(CURDIR)/$(LIB)/mpl_toolkits/
	# build doc only for default python version
	#mv $(CURDIR)/$(LIB)/*.so $(CURDIR)/$(LIB)/mpl_toolkits/
	mv $(CURDIR)/doc/source/index.rst $(CURDIR)/doc/index.rst
	(export MPLCONFIGDIR=. ; cd doc ; PYTHONPATH=$(CURDIR)/$(LIB) BASEMAPDATA=$(CURDIR)/data/basemap_data/src/mpl_toolkits/basemap_data/ python3 make.py html)
	# remove hack
	rm $(CURDIR)/$(LIB)/mpl_toolkits/axes_grid1
	mv $(CURDIR)/doc/index.rst $(CURDIR)/doc/source/

execute_after_dh_python3:
	-chmod -x debian/python-mpltoolkits.basemap-data/usr/share/basemap/data/*
	dh_numpy3

override_dh_sphinxdoc:
	dh_sphinxdoc -i

execute_after_dh_clean:
	rm -rf doc/build
	rm -f nad2bin.o nad2bin

=== debian/watch ===
version=4
 opts="dversionmangle=s/\+dfsg//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)(?:rel)?\.tar\.gz%basemap-$1.tar.gz%" \
 https://github.com/matplotlib/basemap/tags (?:.*?/)?v?(\d[\d.]*)(?:rel)?\.tar\.gz
